curl --request POST \
--url https://api.paywint.com/api/platform/accounts/get-payee-account/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"bank_id": "f47ac10b-****-****-****-0e02b2c3d479"
}
'import requests
url = "https://api.paywint.com/api/platform/accounts/get-payee-account/{user_id}"
payload = { "bank_id": "f47ac10b-****-****-****-0e02b2c3d479" }
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bank_id: 'f47ac10b-****-****-****-0e02b2c3d479'})
};
fetch('https://api.paywint.com/api/platform/accounts/get-payee-account/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed.",
"data": {
"bank_id": "f47ac10b-****-****-****-0e02b2c3d479",
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"account_holder_name": "John A. Doe",
"account_type": "PERSONAL_CHECKING",
"bank_nick_name": "Personal Bank",
"account_number": "62**56**90**75",
"routing_number": "021****21",
"account_holder_address": "123 Main St",
"account_holder_city": "New York",
"account_holder_state": "NY",
"account_holder_zip": "10001",
"account_holder_country": "US"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Payee Bank Account
This endpoint retrives details of a specific bank account linked to a payee.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Path Parameters
Unique identifier (UUID) of the user
Body
Unique identifier (UUID) of the payee's saved bank account.
"f47ac10b-****-****-****-0e02b2c3d479"
Response
Successful Response
Indicates whether the request was processed successfully.
true
A short, human-readable message describing the result of the request.
"Operation completed."
The main response payload, if applicable
Show child attributes
Show child attributes
The Unix timestamp (in seconds) indicating when the response was generated.
1718006400

